v1.0.0
OpenAPI 3.1.0

Get a campaign

US region

Client Libraries

Get a campaign

Returns metadata for an individual campaign.

Path Parameters
  • campaign_id
    Type: integer
    required

    The ID of the campaign that you want to trigger or return information about.

Responses
  • application/json
  • 400

    The campaignID or actionID is invalid.

  • 404

    The campaign and/or action do not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/campaigns/{campaign_id}
curl https://api.customer.io/v1/campaigns/3 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "campaign": {
    "id": 5,
    "deduplicate_id": "15:1492548073",
    "name": "string",
    "description": "Sends a welcome series to new trial signups.",
    "created": 1552341937,
    "updated": 1552341937,
    "active": true,
    "state": "running",
    "actions": [
      {
        "type": "email",
        "id": 259
      }
    ],
    "first_started": 1552341937,
    "tags": [
      "new",
      "welcome"
    ],
    "trigger_segment_ids": [
      90
    ],
    "filter_segment_ids": [
      21,
      42
    ]
  }
}